## hercui 0.0.3

=== Makefile ===
PACKAGE:=hercui
VERSION:=0.0.3
URLS:=http://ftp.tal.org/pub/src/hercui/0.0
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz

include ../Rules.make

=== debian/changelog ===
hercui (0.0.3) unstable; urgency=low

  * Code cleanups
  * Fixes to .desktop file

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 09 May 2010 14:47:00 +0200

hercui (0.0.2) unstable; urgency=low

  * Initial release

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 08 May 2010 00:18:00 +0200

=== debian/control ===
Source: hercui
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, libvte-dev, libhildon1-dev, libhildonnotify-dev, osso-af-settings, libosso-dev
Standards-Version: 3.8.0

Package: hercui
Architecture: any
Section: user/office
XB-Maemo-Display-Name: GUI for Hercules System/370, ESA/390, and z/Architecture Emulator
Depends: ${shlibs:Depends}, hercules
XSBC-Bugtracker: http://bugzilla.tal.org/
Description: Simple UI wrapper for Hercules System/370, ESA/390, and z/Architecture Emulator
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAB+dJREFUaIHVmsuPXMUVxn9V99mvmenHTM90e8b2gB/ENokNMRgr
 MYHIgk02EYgFsvJPsIjCJihBQRF7EkVssomyiNhEyjYRBoKRZQO2CX6M7XmP
 p7un37dv33sri8Y9dtrOVBtbNkeqzam6X9WpU6fqfKcbvpH33/9T4Zlnnv7t
 3r17K7GYq6SUj1RzHEvNzu7YOHbsR398553f7eJWeeutXx7N58evAuq70CYm
 cuUTJ15/AYD33nu3UCxOLjzsRQ3bJifz9Tff/NUeo9ns/Przz88d5zsmjUbT
 9rz2mOE4zl9KpZL7sBd0L6JUtFe4rqM8r6P1gWFIHMfGtk0AwjDC83y63WDo
 yQ1D4roOlmXcM5ZlmQgppYqiaMvBrmuTz2fYNp0jmY0hpMSrd1i6XmJpaZ1G
 o609seNYTE1l2TYzTiITQwpBu95hZaHM/PwNmk09LCklps5Aw5Dk8xlmjxU4
 9+Ia6+kFIqFwfYvv/TtP4QOYm1vW2j0pJePjY+w4WuCLl1cojTYBelif5Zn5
 QHD58iK+r+cJqTPIti2KxSxf/nSVtWydSCoQ4Dldvnx2mfz2NI5ja01omgbj
 42PMP1ejNNYEQR/rzJFFMo+PaGNpGyClxHVt6klvoM+3QoJRhWlqQSGlwHEs
 aqODxySSiijV87iuaI0Mw5BarUWulBzoG63HiJYCOp2u1oRhGNFseqRvxAf6
 HN9ErUUEQaiFBZoGdLsBlUqD5z6dZftapq8fbcR4/qNdbJSa2rdHGIZsbDQ4
 cKbAE/OTfX2i7fDyh/tprra1N0PbACF6bi9nWyxmNvr6WtxjqVDFdS1ttwsh
 sG2L1ojP1YlSX99yO8wV17EdfSxtA2zbIpsd4dT3rxGYm1eukorT++ZJFRLY
 tqU1oWmapNNJzh1Yoe1s7rQScHb3As6MrY2lbYAQAtOU+PbgMQllRBRTSKnr
 gV6Q+s4djpyAyOnNpyuaMdClUmkwvZjupVK3SK6SpLvYxff1zm0QhGxsNClc
 HR3AGmm4qMVwqNdY8xaKqNfbHD69g9mVXF8/2ohx/OQT1Kst7ZsjiiIajTa7
 zo9z4Fqxr497Ni+f3E+r4t1/AwxDkky6XNizwlx+va+vJtp8dPAKqVR8qCBO
 JFxWdtQ4P73c17dcn389dZHEiItpGvfXAMuySKdTXHh8BXXrFwKuFUs4BRvH
 0Q/isbEEl/asExq352DLuSpy2hwqiLVyIaUUYRgh1J2DS0qJaZpaO2dZBoYh
 uVuYqugmZ9ETLQO63S7lco39F6b49NBV+nYoeHxpgkl7jNbOSTzP33pC0yCb
 HWVkfpTlbJXQ2FxscW2M8HpXO5HTNiCKFO22zw+ujLNarHN1cvMBsgKDS0dK
 hIdNDLW1B5QQLMkGCHC6Fi2jZ3TCszl65jG+al0bKpXQ4gOOY7Fv306av4D/
 7Fzlrv7/lhJv2xz8wyRnP7mkxS+klHpBfDPwrhXLD2zxAK2YTzQh7v8tpFSE
 7wdYXX3gexIFyouIIv0g1jLA9wNKpRpPn5nB8bXCZmgRkWDflQLd6772qw5D
 XKNBEDJRTjFeS7GQq3zTAUe+miVdjtOot4jU1jsnECSSLoZj8M/9X9OI9woK
 8Y7N7GKO+WB5KA9oGWBZJpnMCCcPX2Yht5lOI+D8zDLHPp5l4cwqrdYgY7sT
 1u7d21j9mU8jtlkNacY6/OPIOX74ZRH7kqXtBU1Sb5BIOKxn1gb6qvE260ad
 SqXXthLXdSgWcyxmagMXQtcKIf0AgjiKItptn0RzkGzbXQPWlfaO3cRKVp2B
 PhEJ1MYDoJQ3g/jop4+RrSX6ete3+PGpXWysNrRfzyAIqFTqHDg9xcRGqq+3
 AoOffLab9qI3VBBrEppeRhqZEb65uTuRUIRm1MtttEmIQAiBkOK23Eqh6DjB
 kFjalNIkk0nx8VNz1OObgepbAR8euszoZHIISmmQyaT44uAyq+laXx+YESef
 vIy7zdXObLUNEEJi2xbN2GCy1jVDoqHrQib11B1uLAFRQiHlffZAEARUq02m
 1kYG+kbrMYKlAM/Tp5TVaov8Umqg74HVhXo8tsGzp3ayYzXb1482Y7x4cg/V
 UoMg0AviKIqo1Vo8cTbPnoV8X59oO7z08T5aa979rwtJKYnHHZamqixkK319
 Nd7m4s4bxOPuUJTSdW02Jjyuj5f7+qbb4eLMGm7MfhCUsvcSn35y/ra6EALO
 7V4isS02RHG3Vxe6sP/2uhACzu9cxtg+HKXUrgsZhiAwBs9mJBTK1K/lCNEb
 27Xucs6HTHi160KlUo3pucG6UH4lRft6m05nazrZwwool2sUvxqsCyXrDsH1
 7lBlFS1GJoQgnU7x2O4CwTMSPxuiBFhlgfUJzH29TLlcQ2lkowDJZIzZ2QLO
 kRitQhclQXiQOGVw7ewKN25soPOrkZRS/ycmKQXxuEsqFScWc1AK2u0O9XqL
 dtsbKgUGiMcdUqkE8biDlBLP82k02jQaLcJw6/X0DbBtSw2Te/SO+mZZQnPT
 /w/eLenEkGCmaSKLxWJ1mI+U6k3Ua0PNdxc81W/DytjYiC+np6f/+u2X8XBk
 Zmb73+VLLx3//fh4rrL18EdLUqlU65VXXn0XgBMnXn9haipf5xH4D4ROS6VS
 zdde+/mrt1n09tu/2XP48NN/LhQmO7ZtPfS/1/xvM01T5XKZzqFDB//2xhtv
 HLq57v8Cf5ku9RdvlccAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=hercui-0.0.3

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

ifeq ($(IS_FREMANTLE),y)
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt --datarootdir=/usr/share --enable-maemo
else
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --enable-maemo
endif

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)
DEB_OPT_FLAG:=-O2 -pipe

## hercui 0.0.4

=== Makefile ===
PACKAGE:=hercui
VERSION:=0.0.4
URLS:=http://ftp.tal.org/pub/src/hercui/0.0
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz

include ../Rules.make

=== debian/changelog ===
hercui (0.0.4) stable; urgency=low

  * Add Hercules configuration file selection

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 25 May 2010 12:01:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_TAR_SRCDIR:=hercui-0.0.3
+DEB_TAR_SRCDIR:=hercui-0.0.4
 
 include /usr/share/cdbs/1/rules/tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk

## hercui 0.1.0

=== Makefile ===
PACKAGE:=hercui
VERSION:=0.1.0
URLS:=http://ftp.tal.org/pub/src/hercui/0.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz

include ../Rules.make

=== debian/changelog ===
hercui (0.1.0) stable; urgency=low

  * Add copy button
  * Show/Hide menu buttons on demand
  * Handle fork/exec failure properly

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 03 Jun 2010 15:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hercui
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, libvte-dev, libhildon1-dev, libhildonnotify-dev, osso-af-settings, libosso-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, libvte-dev, libhildon1-dev, libhildonnotify-dev, osso-af-settings, libosso-dev, libhildonfm2-dev
 Standards-Version: 3.8.0
 
 Package: hercui
@@ -10,7 +10,7 @@
 XB-Maemo-Display-Name: GUI for Hercules System/370, ESA/390, and z/Architecture Emulator
 Depends: ${shlibs:Depends}, hercules
 XSBC-Bugtracker: http://bugzilla.tal.org/
-Description: Simple UI wrapper for Hercules System/370, ESA/390, and z/Architecture Emulator
+Description: GUI wrapper for Hercules System/370, ESA/390, and z/Architecture Emulator
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAB+dJREFUaIHVmsuPXMUVxn9V99mvmenHTM90e8b2gB/ENokNMRgr

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_TAR_SRCDIR:=hercui-0.0.4
+DEB_TAR_SRCDIR:=hercui-0.1.0
 
 include /usr/share/cdbs/1/rules/tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk

## hercui 0.1.1

=== Makefile ===
PACKAGE:=hercui
VERSION:=0.1.1
URLS:=http://ftp.tal.org/pub/src/hercui/0.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz

include ../Rules.make

=== debian/changelog ===
hercui (0.1.1) stable; urgency=low

  * Add a hint to user on what to do
  * Use external hildon-extras
  * Prefill product in bug url

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 09 Sep 2010 14:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hercui
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, libvte-dev, libhildon1-dev, libhildonnotify-dev, osso-af-settings, libosso-dev, libhildonfm2-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, libvte-dev, libhildon1-dev, libhildonnotify-dev, osso-af-settings, libosso-dev, libhildonfm2-dev, libhildon-extras1-dev
 Standards-Version: 3.8.0
 
 Package: hercui
@@ -9,7 +9,7 @@
 Section: user/office
 XB-Maemo-Display-Name: GUI for Hercules System/370, ESA/390, and z/Architecture Emulator
 Depends: ${shlibs:Depends}, hercules
-XSBC-Bugtracker: http://bugzilla.tal.org/
+XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi?product=HercuUI
 Description: GUI wrapper for Hercules System/370, ESA/390, and z/Architecture Emulator
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_TAR_SRCDIR:=hercui-0.1.0
+DEB_TAR_SRCDIR:=hercui-0.1.1
 
 include /usr/share/cdbs/1/rules/tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
